// _lang-switcher.scss
.lang-switcher {
    position: relative;
    float: right;
    font-weight: 700;
    text-align: center;
    height: 85px;
    width: 60px;
    margin-left: 20px;

    img {
        margin-right: 5px;
    }

    @include screen-size(xl) {
        margin-left: 0;
    }
    @include screen-size(md) {
        height: 69px;
    }

    &_trigger {
        height: 86px;
        color: #000;
        text-decoration: none;
        background-color: transparent;
        padding: 0;
        padding-left: 10px;
        display: flex;
        align-items: center;
        background-color: #fff;
        cursor: pointer;
        @include transition(all .2s ease);

        @include screen-size(md) {
            position: relative;
            border-right: none;
            width: 80px;
            height: 69px;
            z-index: 10;
            pointer-events: none;
        }

        .open &, &:hover {
            color: #000 !important;
            background-color: transparent !important;
            &::after {
                height: 5px;
                bottom: -5px;
                background: inherit;
                z-index: 10;
            }
        }

        span {
            position: absolute;
        }

    }

    &_content {
        display: none;
        position: absolute;
        top: 86px;
        width: 100%;
        background: #fff;
        z-index: 2;
        box-sizing: border-box;
        padding: 10px 9px;
        text-align: left;

        @include screen-size(md) {
            top: 70px;
        }

        .open &, &:hover {
            position: absolute;
            display: block;

            @include screen-size(md) {
                display: none;
            }
        }

        // .on.site-header & {
        //     position: relative;
        //     top: inherit;
        //     display: flex;
        //     justify-content: stretch;
        //     align-items: center;
        //     .lang-switcher_item {
        //         margin: 0 10px;
        //         }
        //     }
        // }

        &_item {
            padding-bottom: 10px;
            padding-left: 10px;
            &.current {
                visibility: hidden;
                opacity: 0;
                height: 0;
                pointer-events: none;
            }
        }

        &_item-link {
            display: block;
            padding: 0;
            text-decoration: none;

            @include screen-size(md) {
                height: 35px;
                line-height: 35px;
            }

            .flag {
            }
        }
    }

    &_select {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 99%;
        opacity: 0;
        z-index: 1;
        pointer-events: none;
        border: 0;
        @include screen-size(md) {
            opacity: 1;
            pointer-events: all;
            cursor: pointer;
        }
    }
}
